Bug 114591 - Indentation issue in converted html using Libre Office 4.3
Summary: Indentation issue in converted html using Libre Office 4.3
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.3 all versions
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:html
Depends on:
Blocks: HTML-Export
  Show dependency treegraph
 
Reported: 2017-12-20 13:07 UTC by Sakshi Singh
Modified: 2019-04-09 14:33 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample attached to related AskLibO question (23.37 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-01-11 11:25 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sakshi Singh 2017-12-20 13:07:21 UTC
Description:
Hi Team, We are using libreoffice 4.3 to convert word document to HTML. The document generated by libre office had indentation issues. 
In the word document, we have many <p> tags as ordered list which after conversion adds inline css.

We are running this code snippet on linux:
libreoffice4.3 --headless --invisible --convert-to htm:HTML --outdir $O$


Here is the HTML output of the converted doc file:

<p align="left" style="margin-left: 0.25in; text-indent: -0.25in; margin-bottom: 0.17in; line-height: 0.17in; widows: 2; orphans: 2">
<a name="5c188da9-cdb8-406b-9809-dd4a0316dba2-1"></a>
<font face="Arial, serif">
<font size="2" style="font-size: 11pt">
1. Some Text Here
</font></font></p>

Here the text "1. Some Text Here " had unnecessary indentation. Please look into this asap.

Actual Results:  
The actual converted HTML through libre office 4.3 had unnecessary indentation issues.

Expected Results:
The converted HTML should not have any indentation issues.


Reproducible: Always


User Profile Reset: No



Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/63.0.3239.84 Safari/537.36
Comment 1 Aron Budea 2017-12-20 16:17:58 UTC
LibreOffice 4.3 has been unsupported for a long time, please try with the freshly released 5.4.4 or 6.0beta2 versions.

Additionally, community support is provided here, I would suggest to align your expectations towards the ETA of a resolution accordingly. Professional support is available from certified professionals, for details see [1].

[1] https://www.libreoffice.org/get-help/professional-support/
Comment 2 Sakshi Singh 2018-01-09 06:16:42 UTC
If the LibreOffice version 5.4.4 or 6.0 beta2 version is used instead of LibreOffice 4.3 version can this issue of identation in the html be resolved?

Kindly let me know in case of any queries.
Comment 3 Aron Budea 2018-01-09 07:52:55 UTC
You are most welcome to give it a try and report back if the issue still occurs in a recent version.
Comment 4 Sakshi Singh 2018-01-09 08:07:07 UTC
hi Aron

Thanks for the information, can you please provide the exact version of LibreOffice that can be used for the testing purpose.

Thanks
Sakshi
Comment 5 Aron Budea 2018-01-09 08:39:35 UTC
Hi Sakshi. If you want to see whether a bug is fixed or not, test with the latest versions, which you can find on the download page. Currently the latest release version is 5.4.4, with 6.0 incoming (currently RC1 is available).
Comment 6 Mike Kaganski 2018-01-11 11:25:24 UTC
Created attachment 139049 [details]
Sample attached to related AskLibO question

FYI: https://ask.libreoffice.org/en/question/141129/indentation-issue-when-converting-to-html/
Comment 7 Sakshi Singh 2018-01-15 05:36:21 UTC
hi Mike,

We have received following response on forum:

It exists in all versions, including current master. It also happens with both HTML output filters (available in Save As and Export).

Thank you for filing a bug report for this, and providing a sample (finally!). We would be also thankful for any patches. Other than that, there can be no guarantees as of when (and if) it will be improved. You can look for certified developers and companies providing L3 support, if you need.

Kindly confirm the above response and let us know if this issue can be resolved in any of the future releases of the LibreOffice.

Thanks
Sakshi
Comment 8 Mike Kaganski 2018-01-15 06:19:42 UTC
Reproducible with Version: 6.0.0.2 (x64)
Build ID: 06b618bb6f431d27fd2def25aa19c833e29b61cd
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: ru-RU (ru_RU); Calc:
Comment 9 QA Administrators 2019-01-16 03:54:46 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug